# AccountTxTransaction | xrpl
Documentation for xrpl

# Interface AccountTxTransaction

#### Hierarchy

- AccountTxTransaction

- Defined in packages/xrpl/src/models/methods/accountTx.ts:52

#####
Index

### Properties

ledger_index
meta
tx?
tx_blob?
validated

## Properties

### ledger_index

ledger_index: number

The ledger index of the ledger version that included this transaction.

- Defined in packages/xrpl/src/models/methods/accountTx.ts:54

### meta

meta: string | TransactionMetadata

If binary is True, then this is a hex string of the transaction metadata. Otherwise, the transaction metadata is included in JSON format.

- Defined in packages/xrpl/src/models/methods/accountTx.ts:59

### `Optional` tx

tx?: Object

JSON object defining the transaction.

- Defined in packages/xrpl/src/models/methods/accountTx.ts:61

### `Optional` tx_blob

tx_blob?: string

Unique hashed String representing the transaction.

- Defined in packages/xrpl/src/models/methods/accountTx.ts:63

### validated

validated: boolean

Whether or not the transaction is included in a validated ledger. Any transaction not yet in a validated ledger is subject to change.

- Defined in packages/xrpl/src/models/methods/accountTx.ts:68

Generated using TypeDoc